'use client';
import React, { useEffect } from 'react';
import OurFactory from '@/widgets/about/our-factory/ui';
import { IBreadcrumbItem, pageStore } from '@/shared/store/pageStore';

const AboutCompany = () => {
  const breadcrumsItem: IBreadcrumbItem[] = [
    {
      label: 'Главная',
      href: '/',
    },
    {
      label: 'О нас',
      href: '/about-us',
    },
    {
      label: 'Наш завод',
      href: '/about-us/our-factory',
    },
  ];

  const { onChangePage } = pageStore((state) => state);

  useEffect(() => {
    onChangePage({
      title: 'Наш завод',
      breadcrumbs: breadcrumsItem,
    });
  }, []);
  return (
    <div>
      <OurFactory />
    </div>
  );
};

export default AboutCompany;
